/**
 *  报警服务 -- 新建报警规则
 *  数据对象的Dto
 * */

/**
 * 数据信息
 */
export interface alarmRluesFilterModel {
  /**规则名称*/
  ruleName?: string,
  /**角色 */
  roleMappingId?: Array<number>,
  /**备注*/
  remark?: string,
  /**推送方式 */
  pushMethod?: string,
  /**模板 */
  pushTemplateMappingID?: Array<number>,
  /**正则表达式 */
  regular?: string,
  /**是否互斥 */
  isExclusive?: boolean | string,
  /**优先级 */
  taskPriority?: number,
  /**触发方式 */
  triggerMethod?: string,
  /**规则条件 */
  conditionsJson?: string,
  /**推送用户中间表id */
  pushUserid?: Array<number>
}

/**
 * 列表查询信息
 */
export interface alarmRluesFilterModel_SearchFilter {
  /**规则名称*/
  ruleName?: string,
}


/** 分页信息输入 */
export interface PageInputAlarmRluesFilterModel {
  /**
   * 当前页标
   * @format int32
   */
  currentPage?: number
  /**
   * 每页大小
   * @format int32
   */
  pageSize?: number
  dynamicFilter?: DynamicFilterInfo
  filter?: alarmRluesFilterModel_SearchFilter
}

