import {ContentType, HttpClient} from "/@/api/admin/http-client";
import {groupLogoKeyRequestBody} from "/@/api/admin/productionManagement/groupLogoKeyDto";
import {AxiosResponse} from "axios";

export class GroupLogoKeyApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
  getPage = (data:groupLogoKeyRequestBody) =>
    this.request<AxiosResponse, any>({
      path: `/api/app/compoent/get-key-list`,
      method: 'POST',
      body: data,
      secure: true,
      type: ContentType.Json,
      format: 'json',
    })
}
