import { AxiosResponse } from 'axios'
  import { ContentType, HttpClient, RequestParams } from "/@/api/admin/http-client";
  import {PageInput,BlackBoxDto} from "/@/api/admin/reportManagement/BlackBox/BlackBoxdto";
  export class Api<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    /**
   * No description
   *
   * @tags
   * @name GetList
   * @summary 查询列表
   * @request GET:'/api/app/fuel-dispenser/get-black-box-list'
   * @secure
   */
getList = (query:PageInput ,params: RequestParams = {}) : any  =>
      this.request<BlackBoxDto,any>({
        path:'/api/app/fuel-dispenser/get-black-box-list',
        method: 'POST',
        body:query,
        type: ContentType.Json,
        secure: true,
        format: 'json',
        ...params
      })
    }