/** 查询信息输出 */
  export interface ResultOutputPageOutputBlackBoxDto{
  /** 是否成功标记 */
  success?: boolean
  /** 编码 */
  code?: string | null
  /** 消息 */
  msg?: string | null
  /** 数据 */
 data?:PageOutputBlackBoxDto[] | null
   /** 安全装置状态 */
   deviceStatus?: string
      /** 序列号 */
      serialNumber?: string
         /** 加油站名称 */
         stationName?: string
 
}
    export interface PageOutputBlackBoxDto{
      /**
      * 数据总数
      * @format int64
      */
      total?: number
      /** 数据 */
      list?: BlackBoxDto[] | null
    }
    export interface BlackBoxDto{
   /** 石油公司 */
      oilCompanyName?: string
   /** 软件版本号 */
      softwareVersion?: string
   /** 硬件版本号 */
      hardwareVersion?: string
   /** 序列号 */
      serialNumber?: string
   /** 绑定加油机厂商 */
      bindingDispenserManufacturer?: string
   /** 部件出厂加油机厂商 */
      componentManufacturer?: string
   /** 加油站名称 */
      stationName?: string
   /** 安全装置厂家 */
      safetyDeviceManufacturer?: string
   /** 油机号 */
      dispenserNumber?: integer
   /** 油枪号 */
      nozzleNumber?: integer
   /** 安全装置状态 */
      deviceStatus?: string
   /** 安装时间 */
      fixTime?: string
   /** 出厂时间 */
      soldTime?: string

}
export interface PageInput {
      /**当前页数 */
      currentPage?: number
      /**展示页数 */
      pageSize?: number
    }