import { AxiosResponse } from 'axios'
import { ContentType, HttpClient, RequestParams } from "/@/api/admin/http-client";
import { ResultOutputPartsFilterModel } from "/@/api/admin/reportManagement/partInformation/partInformationDto";

export class partInformationApi<SecurityDataType = unknown> extends HttpClient<SecurityDataType> {
    timer = 500
    /**
     * No description
     *
     * @tags
     * @name getData
     * @summary 部件详情信息查询
     * @request GET:
     * @secure
     */

    getData = (query?: {id?: string},params: RequestParams = {})  => 
        this.request<ResultOutputPartsFilterModel,any>({
            path:'/api/app/fuel-dispenser/get-component-info',
            method: 'GET',
            query:query,
            secure: true,
            format: 'json',
            ...params
          })
}